

def django_input_check(checker, args, kwargs):

    args_dict, req_params = combine_args(args, kwargs, checker)

    #  参数名和其他参数名不能冲突
    intersection = set(req_params.keys()) & set(args_dict.keys())
    if intersection:
        raise runexc.ValidateError(
            "req.params names : %s conflict with others" % list(
                intersection))

    for param_name, param_def in checker.param_defs.items():
        # req.param参数需要进行转换
        if param_name in req_params:
            validate_with_exception_info(param_def, req_params, param_name)
        else:
            validate_with_exception_info(param_def, args_dict, param_name)

    args_dict.update(req_params)
    # 检查所入参是否检测到
    for arg_name in args_dict:
        if arg_name not in checker.param_defs:
            raise runexc.VisibleExUnknownArgument(arg_name)