import six


class MetaObject(object):
    """属性元类，动态设置属性，初始化只能输入键值对。"""

    def __init__(self, **kwargs):
        for key, value in kwargs.items():
            setattr(self, key, value)


class _BaseMeta(type):

    def __init__(cls, name, bases, dct):
        if bases and bases[0] is MetaType:
            checker = unregister(bases[0])
            setattr(cls, "CHECKER_TAG", checker)
            setattr(cls, '_return_type', False)
            if checker:
                checker.name = name


class MetaType(six.with_metaclass(_BaseMeta)):
    """
    暂存子类的属性
    """

    def __init__(self):
        pass

    @classmethod
    def set_return_type(cls, value):
        setattr(cls, '_return_type', value)

    @classmethod
    def get_return_type(cls):
        return getattr(cls, '_return_type')

    @classmethod
    def tostring(cls):
        return cls.__name__

