from setuptools import find_packages
from setuptools import setup
import os
import io
import re
import ast

# requirements
install_requires = [
    'simplegeneric',
    'django==1.8'
]


here = os.path.abspath(os.path.dirname(__file__))
with io.open(os.path.join(here, 'gm_apidesc', '__init__.py')) as f:
    version = None
    for line in f.readlines():
        match = re.match(r"""__version__ *= *(.*)""", line)
        if not match:
            continue
        content = match.groups()[0]
        version = ast.literal_eval(content)


setup(
    name="gm-apidesc",
    version=version,
    description="igengmei apidesc",
    author="JackieZhang",
    author_email="zhanglu@igengmei.com",
    packages=find_packages(),
    url="http://git.wanmeizhensuo.com/zhanglu/gm-apidesc",
    install_requires=install_requires
)
